package com.ruoyi.logistics.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 调账流水记录对象 biz_financial_adjustment_record
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public class BizFinancialAdjustmentRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 调账流水id */
    private Long financialAdjustId;

    /** 运单号 */
    @Excel(name = "运单号")
    private String waybillNo;

    /** 费用明细id */
    @Excel(name = "费用明细id")
    private Long waybillCostDetailId;

    /** 调账类型 */
    @Excel(name = "调账类型")
    private String adjustmentType;

    /** 原金额 */
    @Excel(name = "原金额")
    private Long originalAmount;

    /** 调整后金额 */
    @Excel(name = "调整后金额")
    private Long adjustedAmount;

    /** 调整金额 */
    @Excel(name = "调整金额")
    private Long adjustmentAmount;

    /** 调账原因 */
    @Excel(name = "调账原因")
    private String adjustmentReason;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 删除标志 */
    private String delFlag;

    public void setFinancialAdjustId(Long financialAdjustId) 
    {
        this.financialAdjustId = financialAdjustId;
    }

    public Long getFinancialAdjustId() 
    {
        return financialAdjustId;
    }

    public void setWaybillNo(String waybillNo) 
    {
        this.waybillNo = waybillNo;
    }

    public String getWaybillNo() 
    {
        return waybillNo;
    }

    public void setWaybillCostDetailId(Long waybillCostDetailId) 
    {
        this.waybillCostDetailId = waybillCostDetailId;
    }

    public Long getWaybillCostDetailId() 
    {
        return waybillCostDetailId;
    }

    public void setAdjustmentType(String adjustmentType) 
    {
        this.adjustmentType = adjustmentType;
    }

    public String getAdjustmentType() 
    {
        return adjustmentType;
    }

    public void setOriginalAmount(Long originalAmount) 
    {
        this.originalAmount = originalAmount;
    }

    public Long getOriginalAmount() 
    {
        return originalAmount;
    }

    public void setAdjustedAmount(Long adjustedAmount) 
    {
        this.adjustedAmount = adjustedAmount;
    }

    public Long getAdjustedAmount() 
    {
        return adjustedAmount;
    }

    public void setAdjustmentAmount(Long adjustmentAmount) 
    {
        this.adjustmentAmount = adjustmentAmount;
    }

    public Long getAdjustmentAmount() 
    {
        return adjustmentAmount;
    }

    public void setAdjustmentReason(String adjustmentReason) 
    {
        this.adjustmentReason = adjustmentReason;
    }

    public String getAdjustmentReason() 
    {
        return adjustmentReason;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("financialAdjustId", getFinancialAdjustId())
            .append("waybillNo", getWaybillNo())
            .append("waybillCostDetailId", getWaybillCostDetailId())
            .append("adjustmentType", getAdjustmentType())
            .append("originalAmount", getOriginalAmount())
            .append("adjustedAmount", getAdjustedAmount())
            .append("adjustmentAmount", getAdjustmentAmount())
            .append("adjustmentReason", getAdjustmentReason())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
